package com.example.tdl.mapper;


import com.example.tdl.domain.vo.AddAlarmVo;
import com.example.tdl.domain.vo.DelAlarmVo;
import com.example.tdl.domain.vo.ResultAlarmVo;
import com.example.tdl.domain.vo.UpdateAlarmVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface AlarmMapper {
    List<ResultAlarmVo> getAll(String companyName);

    List<ResultAlarmVo> getAllByAlarmType(@Param("companyName") String companyName,@Param("alarmType") String alarmType);

    int addAlarm(AddAlarmVo addAlarmVo);

    int updateAlarm(UpdateAlarmVo updateAlarmVo);

    int delAlarm(DelAlarmVo delAlarmVo);

    ResultAlarmVo getByTypeAndScene(@Param("alarmType") String alarmType,@Param("alarmScene") String alarmScene,@Param("companyName") String companyName);

    List<String> getForWarehouse(String companyName);

    List<String> getForTransportation(String companyName);
}
